Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.metadata
Class XmlRpcSystemImpl

    java.lang.Object
      org.apache.xmlrpc.metadata.XmlRpcSystemImpl

    public class XmlRpcSystemImpl

extends java.lang.Object

This class implements the various "system" calls, as specifies by `XmlRpcListableHandlerMapping`. Suggested use is to create an instance and add it to the handler mapping with the "system" prefix.

Constructor Summary
`XmlRpcSystemImpl(XmlRpcListableHandlerMapping pMapping)` Creates a new instance, which provides meta data for the given handler mappings methods.

Method Summary
`static void` | `addSystemHandler(PropertyHandlerMapping pMapping)` Adds an instance of this class to the given handler mapping.
`java.lang.String[]` | `listMethods()` Implements the "system.listMethods" call.
`java.lang.String` | `methodHelp(java.lang.String methodName)` Implements the "system.methodHelp" call.
`java.lang.String[][]` | `methodSignature(java.lang.String methodName)` Implements the "system.methodSignature" call.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlRpcSystemImpl

    public XmlRpcSystemImpl(XmlRpcListableHandlerMapping pMapping)

  Creates a new instance, which provides meta data for the given handler mappings methods.

Method Detail

### methodSignature

    public java.lang.String[][] methodSignature(java.lang.String methodName)
                                         throws XmlRpcException

  Implements the "system.methodSignature" call.

  Throws:
    `XmlRpcException`
  See Also:
    `XmlRpcListableHandlerMapping.getMethodSignature(String)`

### methodHelp

    public java.lang.String methodHelp(java.lang.String methodName)
                                throws XmlRpcException

  Implements the "system.methodHelp" call.

  Throws:
    `XmlRpcException`
  See Also:
    `XmlRpcListableHandlerMapping.getMethodHelp(String)`

### listMethods

    public java.lang.String[] listMethods()
                                   throws XmlRpcException

  Implements the "system.listMethods" call.

  Throws:
    `XmlRpcException`
  See Also:
    `XmlRpcListableHandlerMapping.getListMethods()`

### addSystemHandler

    public static void addSystemHandler(PropertyHandlerMapping pMapping)
                                 throws XmlRpcException

  Adds an instance of this class to the given handler mapping.

  Throws:
    `XmlRpcException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.